Bug 37542 - [WML] Duplicated patches were pushed
Summary: [WML] Duplicated patches were pushed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 19:04 PDT by Gyuyoung Kim
Modified: 2010-04-15 04:51 PDT (History)
3 users (show)

See Also:


Attachments
Fix build break (2.87 KB, patch)
2010-04-14 22:10 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch for wml build break (1.78 KB, patch)
2010-04-14 22:46 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2010-04-13 19:04:18 PDT
Duplicated patches were pushed to same files (wml/WMLOptionElement.h, wml/WMLSelectElement.h)

 - Bug 36698 - There are build breaks when wml is enabled.
 - Bug 36648 - [WML] WML enabled build failure. 

I think one of them should be reverted.

There are build breaks when wml enabled as below,

------------------------------------------------------------------------------------------------------
In file included from WebCore/dom/SelectElement.cpp:48:
./WebCore/wml/WMLSelectElement.h:92: error: 'virtual void WebCore::WMLSelectElement::listBoxSelectItem(int, bool, bool, bool)' cannot be overloaded
./WebCore/wml/WMLSelectElement.h:90: error: with 'virtual void WebCore::WMLSelectElement::listBoxSelectItem(int, bool, bool, bool)'

In file included from WebCore/dom/OptionElement.cpp:34:
./WebCore/wml/WMLOptionElement.h:59: error: 'virtual bool WebCore::WMLOptionElement::disabled() const' cannot be overloaded
./WebCore/wml/WMLOptionElement.h:44: error: with 'virtual bool WebCore::WMLOptionElement::disabled() const'
-------------------------------------------------------------------------------------------------------------
Comment 1 Eric Seidel (no email) 2010-04-14 17:56:46 PDT
Feel free to post a patch. :)
Comment 2 Gyuyoung Kim 2010-04-14 22:10:38 PDT
Created attachment 53409 [details]
Fix build break 

I attach a patch for this build fail.

Thanks.
Comment 3 Eric Seidel (no email) 2010-04-14 22:36:27 PDT
Comment on attachment 53409 [details]
Fix build break 

Are the current dummy implementations in the header the right ones?  Do they need FIXMEs next to them?
Comment 4 Gyuyoung Kim 2010-04-14 22:46:29 PDT
Created attachment 53410 [details]
Patch for wml build break

I think so. I remove the dumy functions implemented in header file.
Comment 5 Eric Seidel (no email) 2010-04-14 22:50:46 PDT
Comment on attachment 53410 [details]
Patch for wml build break

OK.
Comment 6 WebKit Commit Bot 2010-04-15 03:51:37 PDT
Comment on attachment 53410 [details]
Patch for wml build break

Rejecting patch 53410 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--quiet']" exit_code: 1
Running build-dumprendertree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 12683 test cases.
fast/canvas/webgl/index-validation.html -> failed

Exiting early after 1 failures. 5085 tests run.
85.28s total testing time

5084 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/1722046
Comment 7 Gyuyoung Kim 2010-04-15 04:14:08 PDT
Hmm, I don't know why this patch makes test fail. If you know the reason, could you tell me the reason ?
Comment 8 Eric Seidel (no email) 2010-04-15 04:36:49 PDT
It's not your fault, it's a flaky test.
Comment 9 WebKit Commit Bot 2010-04-15 04:51:30 PDT
Comment on attachment 53410 [details]
Patch for wml build break

Clearing flags on attachment: 53410

Committed r57639: <http://trac.webkit.org/changeset/57639>
Comment 10 WebKit Commit Bot 2010-04-15 04:51:36 PDT
All reviewed patches have been landed.  Closing bug.